# Interface ICefRunFileDialogCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefRunFileDialogCallback = interface(ICefBaseRefCounted)`

## Description

Callback interface for ICefBrowserHost.RunFileDialog. The functions of this interface will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_capi.h">CEF source file: /include/capi/cef_browser_capi.h (cef_run_file_dialog_callback_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefRunFileDialogCallback

## Overview

### Methods

| `procedure OnFileDialogDismissed(const filePaths: TStrings);`

## Description

### Methods

| `procedure OnFileDialogDismissed(const filePaths: TStrings);`
Called asynchronously after the file dialog is dismissed. |file_paths| will be a single value or a list of values depending on the dialog mode. If the selection was cancelled |file_paths| will be NULL. ###### Attributes GUID['{59FCECC6-E897-45BA-873B-F09586C4BE47}']

Generated by PasDoc 0.16.0-snapshot.